<?php
	$tipo_local = 1;
	include("../../secure/secure.php");
	include ('../../conf/configuracao.php');

	mysql_connect( $bd_host, $bd_user, $bd_senha )
		or die ( 'Não foi possível conectar ao Servidor.' );
	mysql_select_db( $bd_database )
		or die ( 'Não foi possível conectar a Base de Dados.' );

	$sql_vestibular = "select * from vestibulares where codigo = $qual_vestibular";
	$result = mysql_query($sql_vestibular)
		or die ( 'Não foi possível executar a query vestibular.' );
	$info = mysql_fetch_array($result);
	$cursos_do_vestibular = $info["cursos"];
	$gera_sql = split(",",$cursos_do_vestibular);
	

	$i = 0;
	$retorna = 1;
	$primeiro = 0;
?>
<body>
<table width="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr>
		<td>
			<div align="center">
			<strong><font face="Verdana" size="2" color="#800000">Gabarito das Provas</font></strong><br>
			
			<!--CABECALHO DA AÇÃO A SER EXECUTADA! -->
			<?php
				if (!isset($materia))
				{
			?>
					<font face="Verdana" size="2" color="#FF0000">Escolha a <strong>PROVA</strong> que deseja cadastrar o gabarito</font>
			<?php
				}
				elseif (!isset($gabarito) and isset($materia))
				{
					$query_mat = @mysql_query("SELECT * FROM provas WHERE codigo = $materia");
					$array_mat = @mysql_fetch_array($query_mat);
					if(!isset($lingua))
					{
						$mat = strtoupper($array_mat[materia]);
					}
					else
					{
						$query_lingua = @mysql_query("SELECT * FROM linguas WHERE codigo = $lingua");
						$array_lingua = @mysql_fetch_array($query_lingua);
						$mat = strtoupper($array_mat[materia])." ".strtoupper($array_lingua[lingua]);
					}
			?>
					<font face="Verdana" size="2" color="#FF0000">Entre com o <strong>GABARITO</strong> para </font><font color="blue" face="Verdana" size="2"><b><br><?php echo $mat; ?></b></font><br>
			<?php
				}
			?>
			<!--SCRIPT PARA SELECIONAR A PROVA QUE SE DESEJA CADASTRAR! -->
			<?php
				//ESCOLHEDO PROVA PARA CADASTRAR GABARITO
				if (!isset($materia))
				{
					$sql = "SELECT * FROM provas order by codigo ASC";
					$result = mysql_query($sql)
						or die ( 'Não foi possível executar a query 161b.' );
					$num = mysql_num_rows($result);
					if ($num == 0 )
					{
						echo '<br><br><center>Não existe nenhuma prova cadastrado no Sistema!!!</center>';
					}
					else
					{
						$cor = "FFFFFF";
						echo '<br><br>';
						echo '<table width="100%" border="0" cellspacing="0" cellpadding="0" align="center">';
						while($info = mysql_fetch_array($result))
						{
							echo '<tr>';
							echo '<td valign="top">';
							echo '<font color = "000000" face ="verdana" size="2">' . $info["codigo"] . ' - </font>';
							echo '</td>';
							echo '<td>';
							if ($info["codigo"] != 2)
							{
								echo '<a href="gabarito.php?materia=' . $info["codigo"]. '"><font color = "000000" face ="verdana" size="2">' .$info["materia"]. '</font></a>';
							}
							else
							{
								echo '<font color = "000000" face ="verdana" size="2">' .$info["materia"]. '';
								$sql_lingua = "SELECT * FROM linguas order by codigo ASC";
								$result_lingua = mysql_query($sql_lingua)
									or die ( 'Não foi possível executar a query 161b.' );
								while($info_lingua = mysql_fetch_array($result_lingua))
								{
									echo '&nbsp;&nbsp;&nbsp;&nbsp;<a href="gabarito.php?materia=' . $info["codigo"]. '&lingua='.$info_lingua["codigo"].'"><font color = "000000" face ="verdana" size="2">' . $info_lingua["lingua"] . '</a> &nbsp;</font>' ;
								}
								echo '</font></a>';
							}
							echo '</td>';
							echo '</tr>';
						}
						echo '</table>';
						echo '<br><Br>';
						echo '<strong><div align="center"><a href="listar_gabarito.php?" title="Exibir gabaritos cadastrados"><font face="Verdana" size="2" color="#000000">Exibir gabaritos cadastrados</font></a></div></strong><br><br>';
						$sql_110 = "SELECT * FROM vestibulares where codigo = $qual_vestibular";
						$result_110 = mysql_query($sql_110) or die ( 'Não foi possível executar a query 161.' );
						while($info_110 = mysql_fetch_array($result_110))
						{
							if ( $info_110["flag"] == 0)
							{
								echo '<strong><div align="center"><a href="acao.php?acao=1" title="Liberar exibição do gabarito"><font face="Verdana" size="2" color="#000000">Liberar exibição do gabarito</font></a></div></strong>';
							}
							else
							{
								echo '<strong><div align="center"><a href="acao.php?acao=0" title="Bloquear exibição do gabarito"><font face="Verdana" size="2" color="#000000">Bloquear exibição do gabarito</font></a></div></strong>';
							}
						}
					}
				}
			?>
			<!-- SCRIPT DE CADASTRAMENTO DO GABARITO PARA A PROVA SELECIONADA-->
			<?php
				if (!isset($btcontinua1) and isset($materia))
				{
			?>
					<form action="gabarito.php" method="post">
						
					C&oacute;digo do Caderno<br>
						<input type="text" name="codigo_prova" size="10" maxlength="3"><br>
						
					Informe o numero de quest&otilde;es existente nesta prova<br>
						<input type="text" name="numero_questoes" size="10" maxlength="3"><br>
						
					Inicio no formulario do candidato<br>
						<input type="text" name="inicia_em" size="10" maxlength="3"><br>
						
					Fim no formulario do candidato<br>
						<input type="text" name="finaliza_em" size="10" maxlength="3"><br>
						<input type="submit" name="btcontinua1" value="Continuar">
						<input type="hidden" name="materia" value="<? echo $materia; ?>">
						<?php
						 	if (isset($lingua))
							{
						?>
								<input type="hidden" name="lingua" value="<? echo $lingua; ?>">
						<?php
						  	}
						?>
					</form>
			<?php
				}

				if (!isset($btcontinua2) and isset($btcontinua1) and isset($materia))
				{
			?>
					<form action="gabarito.php" method="post">
					<strong>Entre com o gabarito:</strong><br>
			<?php
					for ($i = 1; $i <= $numero_questoes; $i++)
					{
						echo 'Questão ';
						if (($i) <=9)
						{
							echo '0' . ($i);
				 		}
						else
						{
							echo ($i);
						}
						echo ': <input type="text" name="questao['.($i).']" size="2" maxlength="1"  tabindex="'.$i.'">&nbsp;&nbsp;&nbsp;Peso Individual: <input type="text" name="peso['.($i).']" size="2" maxlength="1" value="2">';
						echo '<br>';
					}
			?>
					<br>
					<input type="submit" name="btcontinua2" value="Continuar">
					<input type="hidden" name="materia" value="<? echo $materia; ?>">
					<input type="hidden" name="codigo_prova" value="<? echo $codigo_prova; ?>">
					<input type="hidden" name="numero_questoes" value="<? echo $numero_questoes; ?>">
					<input type="hidden" name="inicia_em" value="<? echo $inicia_em; ?>">
					<input type="hidden" name="finaliza_em" value="<? echo $finaliza_em; ?>">
					<input type="hidden" name="btcontinua1" value="sim">
			<?php
					if (isset($lingua))
					{
			?>
						<input type="hidden" name="lingua" value="<? echo $lingua; ?>">
			<?php
					}
			?>	
					</form>
			<?php
				}
				if (isset($btcontinua2) and isset($btcontinua1) and isset($materia))
				{
			?>
			<?php
					if (!isset($confirma))
					{
						$respostas = '';
						$peso_provas = '';
						echo "<br><br>";
						for ($i = 1; $i <= $numero_questoes; $i++)
						{
							echo 'Questão ';
							if ($i <=9)
							{
							 	echo '0' . $i;
							}
							else
							{
								echo $i;
							}
							echo ': <font color = "red">'. $questao[$i]. '</font>&nbsp;&nbsp;&nbsp;Peso: <font color = "red">'. $peso[$i] .'</font>';
							echo '<br>';
							$respostas = $respostas . $questao[$i] . 'X';
							$peso_provas = $peso_provas . $peso[$i] . 'X';
						}
						echo '<br><br>Número de questões: <font color = "red">' . $numero_questoes . '</font><br>';
						echo 'Código da Prova: <font color = "red">' . $codigo_prova . '</font><br>';
						echo 'Inicia em: <font color = "red">' . $inicia_em . '</font><br>';
						echo 'Finaliza em: <font color = "red">' . $finaliza_em . '</font><br></b>';
						echo '<form action="gabarito.php" method="post">';
						echo '<input type="submit" name="confirma" value="C O N F I R M A R       G A B A R I T O" style="font: bold;">';
						echo '<input type="hidden" name="materia" value="'. $materia .'">';
						echo '<input type="hidden" name="curso" value="'. $curso .'">';
						echo '<input type="hidden" name="codigo_prova" value="'. $codigo_prova .'">';
						echo '<input type="hidden" name="numero_questoes" value="'. $numero_questoes .'">';
						echo '<input type="hidden" name="inicia_em" value="'. $inicia_em .'">';
						echo '<input type="hidden" name="finaliza_em" value="'. $finaliza_em .'">';
						echo '<input type="hidden" name="respostas" value="'. $respostas .'">';
						echo '<input type="hidden" name="peso_provas" value="'. $peso_provas .'">';
						echo '<input type="hidden" name="btcontinua1" value="sim">';
						echo '<input type="hidden" name="btcontinua2" value="sim">';
						if (isset($lingua))
						{
							echo '<input type="hidden" name="lingua" value="' .$lingua .'">';
						}
						echo '</form>';
						exit;
					}
					if (!isset($btcursos))
					{
						$query_cursos = @mysql_query("SELECT * FROM vestibulares WHERE codigo = $qual_vestibular");
						$array_cursos = @mysql_fetch_array($query_cursos);
						$cursos = explode(",",$array_cursos[cursos]);
						$qt = 1;
				?>
					<form action="gabarito.php" method="post">
					<strong>Selecione os Cursos para os quais este gabarito será válido:</strong><br>
					<br>
					<table width="300" border="0" cellspacing="2" cellpadding="0">
						<tr>
							<td>
				<?php
						while ($qt <= count($cursos))
						{
							$i = $qt - 1;
							$query_tbcurso = @mysql_query("SELECT * FROM cursos WHERE codigo = $cursos[$i]");
							$array_tbcurso = @mysql_fetch_array($query_tbcurso);
							echo ('<input type="checkbox" name="sele_curso['.($i).']" value="'.$cursos[$i].'" border="0"><label>'.$array_tbcurso[nome_curso].'</label><br>');
							$qt++;
						}
						echo '<br><input type="submit" name="btcursos" value="C O N F I R M A R    S E L E Ç Ã O    D E   C U R S O S" style="font: bold;">';
						echo '<input type="hidden" name="materia" value="'. $materia .'">';
						echo '<input type="hidden" name="curso" value="'. $curso .'">';
						echo '<input type="hidden" name="codigo_prova" value="'. $codigo_prova .'">';
						echo '<input type="hidden" name="numero_questoes" value="'. $numero_questoes .'">';
						echo '<input type="hidden" name="inicia_em" value="'. $inicia_em .'">';
						echo '<input type="hidden" name="finaliza_em" value="'. $finaliza_em .'">';
						echo '<input type="hidden" name="respostas" value="'. $respostas .'">';
						echo '<input type="hidden" name="peso_provas" value="'. $peso_provas .'">';
						echo '<input type="hidden" name="btcontinua1" value="sim">';
						echo '<input type="hidden" name="btcontinua2" value="sim">';
						echo '<input type="hidden" name="confirma" value="sim">';
						if (isset($lingua))
						{
							echo '<input type="hidden" name="lingua" value="' .$lingua .'">';
						}
						exit;
				?>
							</td>
						</tr>
					</table>
					</form>
				<?php
					}
					if (count($sele_curso) == 0)
					{
						echo ('<form action="gabarito.php" method="post">');
						echo ('<br><strong>O Gabarito não foi gravado para NENHUM curso!<br>Por favor, selecione os cursos para os quais o gabarito será válido,<br> para prosseguir no cadastro do gabarito!</strong><br>');
						echo '<br><br><input type="submit" name="btvoltar" value="S E L E C I O N A R    C U R S O S" style="font: bold;">';
						echo '<input type="hidden" name="materia" value="'. $materia .'">';
						echo '<input type="hidden" name="curso" value="'. $curso .'">';
						echo '<input type="hidden" name="codigo_prova" value="'. $codigo_prova .'">';
						echo '<input type="hidden" name="numero_questoes" value="'. $numero_questoes .'">';
						echo '<input type="hidden" name="inicia_em" value="'. $inicia_em .'">';
						echo '<input type="hidden" name="finaliza_em" value="'. $finaliza_em .'">';
						echo '<input type="hidden" name="respostas" value="'. $respostas .'">';
						echo '<input type="hidden" name="peso_provas" value="'. $peso_provas .'">';
						echo '<input type="hidden" name="btcontinua1" value="sim">';
						echo '<input type="hidden" name="btcontinua2" value="sim">';
						echo '<input type="hidden" name="confirma" value="sim">';
						if (isset($lingua))
						{
							echo '<input type="hidden" name="lingua" value="' .$lingua .'">';
						}
						echo ('</form>');
						
					}
					else
					{
						$numero_questoes = addslashes(Criptografar($numero_questoes,$Chave));
						$inicia_em = addslashes(Criptografar($inicia_em,$Chave));
						$finaliza_em = addslashes(Criptografar($finaliza_em,$Chave));
						$respostas = addslashes(Criptografar($respostas,$Chave));
						$pesos = addslashes(Criptografar($peso_provas,$Chave));
						$query_cursos = @mysql_query("SELECT * FROM vestibulares WHERE codigo = $qual_vestibular");
						$array_cursos = @mysql_fetch_array($query_cursos);
						$cursos = explode(",",$array_cursos[cursos]);
						$qt = 1;
						while($qt <= count($cursos))
						{
							$i = $qt - 1;
							if (isset($sele_curso[$i]))
							{
								echo $sele_curso[$i]."<br>";
								
								$sql = "insert into gabarito_conf (curso, materia, numero_questoes, inicia_em, finaliza_em, codigo_prova, codigo_vest) values ('$sele_curso[$i]', '$materia', '$numero_questoes', '$inicia_em', '$finaliza_em', '$codigo_prova', '$qual_vestibular')";
 				 				$result = mysql_query($sql)
									or die ( 'Não foi possivel efetuar a inclusao do gabarito parte 1<br>Entre em contato com o suporte.' );
		
								$sql = "SELECT * FROM gabarito_conf order by codigo DESC";
								$result = mysql_query($sql)
									or die ( 'Não foi possível executar a query 161d.' );
								$num = mysql_num_rows($result);
								if ($num == 0 )
								{
									echo '<br><br><center>Erro Interno!!!</center>';
								}
								else
								{
									$info = mysql_fetch_array($result);
									$codigo_do_gabarito = $info[0];
									if (!isset($lingua))
									{
										$lingua = 0;
									}
									$sql = "insert into respostas_gab (codigo_interno, respostas, pesos, le) values ('$codigo_do_gabarito', '$respostas', '$pesos','$lingua')";
 	 							 	$result = mysql_query($sql)
										or die ( 'Não foi possivel efetuar a inclusao do gabarito parte 2<br>Entre em contato com o suporte.' );
								}
								
							}
							$qt++;
						}
						$quais = 1;
						$ncursos = "";
						while($qt <= count($cursos))
						{
							$i = $quais - 1;
							if (isset($sele_curso[$i]))
							{
								//echo $sele_curso[$i]."<br>";
								$query_curso = @mysql_query("SELECT * FROM cursos WHERE codigo = $sele_curso[$i]");
								$array_curso = @mysql_fetch_array($query_curso);
								//$ncursos .= $array_curso[nome_curso]."<br>";
								echo $array_curso[nome_curso]."<br>";
							}
							$quais++;
						}
						echo '<br><br><br><font face="Verdana" size="3" color="#FF0000"><div align="center"><strong>Gabarito(s) Cadastrado(s) para o(s) curso(s):<br><br>'.$ncursos.'</strong></div></font>';
					}
				}		
			?>


		</td>
	</tr>
</table>
</body>